#!/bin/sh

# Vérifier que le fichier et la nouvelle URL sont fournis
if [ "$#" -ne 2 ]; then
    echo "Usage: $0 <fichier> <nouvelle_url>"
    exit 1
fi

FICHIER=$1
NOUVELLE_URL=$2

# Vérifier que le fichier existe
if [ ! -f "$FICHIER" ]; then
    echo "Erreur: Le fichier $FICHIER n'existe pas."
    exit 1
fi

# Détecter le système d'exploitation pour adapter la commande sed
case "$(uname -s)" in
  Darwin*)
    # macOS
    sed -i '' "s|baseUrl: '.*'|baseUrl: '$NOUVELLE_URL'|g" "$FICHIER"
    ;;
  Linux*)
    # Linux
    sed -i "s|baseUrl: '.*'|baseUrl: '$NOUVELLE_URL'|g" "$FICHIER"
    ;;
  *)
    echo "Système d'exploitation non supporté"
    exit 1
    ;;
esac

echo "L'URL a été remplacée avec succès dans $FICHIER."
